WordPress.org

Ready to get started?Download WordPress

Forums

Error when uploading an image (8 posts)

  1. Jarchan
    Member
    Posted 8 years ago #

    Hi!

    When I write and entry and try to upload an image, I get this error:

    Warning: imagecreatetruecolor(): requires GD 2.0 or later in /home/virtual/site83/fst/var/www/html/blog/wp-admin/admin-functions.php on line 755

    Warning: imagejpeg(): supplied argument is not a valid Image resource in /home/virtual/site83/fst/var/www/html/blog/wp-admin/admin-functions.php on line 771

    Warning: Cannot add header information - headers already sent by (output started at /home/virtual/site83/fst/var/www/html/blog/wp-admin/admin-functions.php:755) in /home/virtual/site83/fst/var/www/html/blog/wp-admin/inline-uploading.php on line 101

    What's wrong?

    Thank You very much!

    My blog: http://www.ceemr.com/blog/

  2. moshu
    Member
    Posted 8 years ago #

    Is GD 2.0 or later installed on the server where your blog hosted? GD is an image manipulation software to create the thumbnail images. THat's what the first error asks for...

  3. Jarchan
    Member
    Posted 8 years ago #

    I don't know, probably not. Here's what php info says:

    gd

    GD Support enabled
    GD Version 1.6.2 or higher
    FreeType Support enabled
    FreeType Linkage with freetype
    JPG Support enabled
    PNG Support enabled
    WBMP Support enabled

  4. moshu
    Member
    Posted 8 years ago #

    I am not realy an expert in these server things... but it seems you have an earlier version (1.6.2) of GD, and the script is looking for 2.0.
    Maybe someone with more experience in this will be able to offer some help. Sorry.

  5. Jarchan
    Member
    Posted 8 years ago #

    Well, now I'm trying to upload a non-image file (a .doc for example) but then, when I publish the post the file is not there!!!! :(

  6. mea2214
    Member
    Posted 8 years ago #

    I have this same problem. I have gd-1.8.4-11 installed on a RedHat9 system. I tried to upgrade to the latest GD and have a problem with an older glibc. GD 2.0 requires version 2.3.4 of glibc that they only have versions for Fedora Core Linux, not RedHat9. My server is an older computer, PII 366Mhz, and I can't upgrade the entire OS to Fedora Core. This PC runs perfectly serving all my web pages and I don't want to fix what ain't broke. Is there work around to uploading images without having to go through GD?

  7. Rash
    Member
    Posted 8 years ago #

    Same deal here rh9 production box and unable to update the OS. Server is working fine other than not being able to use GD 2.0 .. Any ideas?

  8. Rash
    Member
    Posted 8 years ago #

    I found the answer here in another message
    http://wordpress.org/support/topic/53019?replies=1 This fixed all the problems by getting rid of having to use GD 2.0. The whole thing took less than 10 mins to change over. Thanks to the original poster of this hack!

Topic Closed

This topic has been closed to new replies.

About this Topic